std::__profile::multimap< _Key, _Tp, _Compare, _Allocator > Class Template Reference

`#include <multimap.h>`

Inherits multimap< _Key, _Tp, std::less< _Key >, std::allocator< std::pair< const _Key, _Tp > > >, and std::__profile::_Ordered_profile< _Cont >.

## Public Types

typedef __iterator_tracker< _Base_const_iterator, multimap > | const_iterator
typedef _Base::const_reference | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef _Base::difference_type | difference_type
typedef __iterator_tracker< _Base_iterator, multimap > | iterator
typedef _Compare | key_compare
typedef _Key | key_type
typedef _Tp | mapped_type
typedef _Base::reference | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef _Base::size_type | size_type
typedef std::pair< const _Key, _Tp > | value_type

## Public Member Functions

template<typename _InputIterator >
| multimap (_InputIterator __first, _InputIterator __last, const _Allocator &__a)
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
| multimap (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
| multimap (const _Allocator &__a)
| multimap (const _Base &__x)
| multimap (const _Compare &__comp, const _Allocator &__a=_Allocator())
| multimap (const multimap &)=default
| multimap (const multimap &__x, const _Allocator &__a)
| multimap (initializer_list< value_type > __l, const _Allocator &__a)
| multimap (initializer_list< value_type > __l, const _Compare &__c=_Compare(), const _Allocator &__a=_Allocator())
| multimap (multimap &&)=default
| multimap (multimap &&__x, const _Allocator &__a) noexcept(noexcept(_Base(std::move(__x), __a)))
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
void | _M_profile_iterate (int __rewind=0) const
const_iterator | begin () const noexcept
iterator | begin () noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
void | clear () noexcept
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
size_type | count (const _Kt &__x) const
size_type | count (const key_type &__x) const
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | crend () const noexcept
template<typename... _Args>
iterator | emplace (_Args &&... __args)
template<typename... _Args>
iterator | emplace_hint (const_iterator __pos, _Args &&... __args)
const_iterator | end () const noexcept
iterator | end () noexcept
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
std::pair< iterator, iterator > | equal_range (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
std::pair< const_iterator, const_iterator > | equal_range (const _Kt &__x) const
std::pair< iterator, iterator > | equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > | equal_range (const key_type &__x) const
size_type | erase (const key_type &__x)
iterator | erase (const_iterator __first, const_iterator __last)
iterator | erase (const_iterator __pos)
iterator | erase (iterator __pos)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | find (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | find (const _Kt &__x) const
iterator | find (const key_type &__x)
const_iterator | find (const key_type &__x) const
template<typename _InputIterator >
void | insert (_InputIterator __first, _InputIterator __last)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>
iterator | insert (_Pair &&__x)
iterator | insert (const value_type &__x)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>
iterator | insert (const_iterator __pos, _Pair &&__x)
iterator | insert (const_iterator __pos, const value_type &__x)
void | insert (std::initializer_list< value_type > __list)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | lower_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | lower_bound (const _Kt &__x) const
iterator | lower_bound (const key_type &__x)
const_iterator | lower_bound (const key_type &__x) const
multimap & | operator= (const multimap &)=default
multimap & | operator= (initializer_list< value_type > __l)
multimap & | operator= (multimap &&)=default
const_reverse_iterator | rbegin () const noexcept
reverse_iterator | rbegin () noexcept
const_reverse_iterator | rend () const noexcept
reverse_iterator | rend () noexcept
void | swap (multimap &__x) noexcept(/*conditional */)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | upper_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | upper_bound (const _Kt &__x) const
iterator | upper_bound (const key_type &__x)
const_iterator | upper_bound (const key_type &__x) const

## Protected Member Functions

void | _M_profile_construct () noexcept
void | _M_profile_destruct () noexcept
void | _M_swap (_Ordered_profile &__other)

## Protected Attributes

__gnu_profile::__map2umap_info * | _M_map2umap_info

## Friends

template<typename _K1 , typename _T1 , typename _C1 , typename _A1 >
bool | operator< (const multimap< _K1, _T1, _C1, _A1 > &, const multimap< _K1, _T1, _C1, _A1 > &)
template<typename _K1 , typename _T1 , typename _C1 , typename _A1 >
bool | operator== (const multimap< _K1, _T1, _C1, _A1 > &, const multimap< _K1, _T1, _C1, _A1 > &)

## Detailed Description

template<typename _Key, typename _Tp, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
class std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >

Class std::multimap wrapper with performance instrumentation.

Definition at line 42 of file profile/multimap.h.

## Member Typedef Documentation

## const_iterator

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef __iterator_tracker<_Base_const_iterator, multimap> std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::const_iterator

Definition at line 63 of file profile/multimap.h.

## const_reference

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::const_reference std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::const_reference

Definition at line 58 of file profile/multimap.h.

## const_reverse_iterator

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef std::reverse_iterator<const_iterator> std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::const_reverse_iterator

Definition at line 65 of file profile/multimap.h.

## difference_type

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::difference_type std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::difference_type

Definition at line 68 of file profile/multimap.h.

## iterator

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef __iterator_tracker<_Base_iterator, multimap> std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::iterator

Definition at line 61 of file profile/multimap.h.

## key_compare

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Compare std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::key_compare

Definition at line 56 of file profile/multimap.h.

## key_type

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Key std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::key_type

Definition at line 53 of file profile/multimap.h.

## mapped_type

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Tp std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::mapped_type

Definition at line 54 of file profile/multimap.h.

## reference

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::reference std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::reference

Definition at line 57 of file profile/multimap.h.

## reverse_iterator

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef std::reverse_iterator<iterator> std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::reverse_iterator

Definition at line 64 of file profile/multimap.h.

## size_type

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::size_type std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::size_type

Definition at line 67 of file profile/multimap.h.

## value_type

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

typedef std::pair<const _Key, _Tp> std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::value_type

Definition at line 55 of file profile/multimap.h.

## Constructor & Destructor Documentation

## multimap() [1/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | const _Compare & | __comp,
|  | const _Allocator & | __a = `_Allocator()`
| ) |  |

inline explicit

Definition at line 85 of file profile/multimap.h.

## multimap() [2/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const _Compare & | __comp = `_Compare()`,
|  | const _Allocator & | __a = `_Allocator()`
| ) |  |

inline

Definition at line 95 of file profile/multimap.h.

## multimap() [3/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | initializer_list< value_type > | __l,
|  | const _Compare & | __c = `_Compare()`,
|  | const _Allocator & | __a = `_Allocator()`
| ) |  |

inline

Definition at line 101 of file profile/multimap.h.

## multimap() [4/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | const _Allocator & | __a | ) |

inline explicit

Definition at line 107 of file profile/multimap.h.

## multimap() [5/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __x,
|  | const _Allocator & | __a
| ) |  |

inline

Definition at line 110 of file profile/multimap.h.

## multimap() [6/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | multimap< _Key, _Tp, _Compare, _Allocator > && | __x,
|  | const _Allocator & | __a
| ) |  |

inline noexcept

Definition at line 113 of file profile/multimap.h.

## multimap() [7/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | initializer_list< value_type > | __l,
|  | const _Allocator & | __a
| ) |  |

inline

Definition at line 117 of file profile/multimap.h.

## multimap() [8/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator >

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const _Allocator & | __a
| ) |  |

inline

Definition at line 121 of file profile/multimap.h.

## multimap() [9/9]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::multimap | ( | const _Base & | __x | ) |

inline

Definition at line 126 of file profile/multimap.h.

## Member Function Documentation

## _M_base() [1/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const _Base & std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::_M_base | ( |  | ) | const

inline noexcept

Definition at line 573 of file profile/multimap.h.

## _M_base() [2/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

_Base & std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::_M_base | ( |  | ) |

inline noexcept

Definition at line 570 of file profile/multimap.h.

## _M_profile_construct()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_profile_construct | ( |  | ) |

inline protected noexcept inherited

Definition at line 75 of file ordered_base.h.

## _M_profile_destruct()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_profile_destruct | ( |  | ) |

inline protected noexcept inherited

Definition at line 79 of file ordered_base.h.

## _M_profile_iterate()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_profile_iterate | ( | int | __rewind = `0` | ) | const

inline inherited

Definition at line 40 of file ordered_base.h.

## _M_swap()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_swap | ( | _Ordered_profile< _Cont > & | __other | ) |

inline protected inherited

Definition at line 86 of file ordered_base.h.

## begin() [1/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::begin | ( |  | ) | const

inline noexcept

Definition at line 161 of file profile/multimap.h.

## begin() [2/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::begin | ( |  | ) |

inline noexcept

Definition at line 157 of file profile/multimap.h.

## cbegin()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::cbegin | ( |  | ) | const

inline noexcept

Definition at line 174 of file profile/multimap.h.

## cend()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::cend | ( |  | ) | const

inline noexcept

Definition at line 178 of file profile/multimap.h.

## clear()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

void std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::clear | ( |  | ) |

inline noexcept

Definition at line 374 of file profile/multimap.h.

## count() [1/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

size_type std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::count | ( | const _Kt & | __x | ) | const

inline

Definition at line 432 of file profile/multimap.h.

## count() [2/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

size_type std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::count | ( | const key_type & | __x | ) | const

inline

Definition at line 421 of file profile/multimap.h.

## crbegin()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_reverse_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::crbegin | ( |  | ) | const

inline noexcept

Definition at line 212 of file profile/multimap.h.

## crend()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_reverse_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::crend | ( |  | ) | const

inline noexcept

Definition at line 219 of file profile/multimap.h.

## emplace()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename... _Args>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::emplace | ( | _Args &&... | __args | ) |

inline

Definition at line 230 of file profile/multimap.h.

## emplace_hint()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename... _Args>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::emplace_hint | ( | const_iterator | __pos,
|  | _Args &&... | __args
| ) |  |

inline

Definition at line 238 of file profile/multimap.h.

## end() [1/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::end | ( |  | ) | const

inline noexcept

Definition at line 169 of file profile/multimap.h.

## end() [2/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::end | ( |  | ) |

inline noexcept

Definition at line 165 of file profile/multimap.h.

## equal_range() [1/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

std::pair< iterator, iterator > std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::equal_range | ( | const _Kt & | __x | ) |

inline

Definition at line 538 of file profile/multimap.h.

## equal_range() [2/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

std::pair< const_iterator, const_iterator > std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::equal_range | ( | const _Kt & | __x | ) | const

inline

Definition at line 561 of file profile/multimap.h.

## equal_range() [3/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::pair< iterator, iterator > std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::equal_range | ( | const key_type & | __x | ) |

inline

Definition at line 524 of file profile/multimap.h.

## equal_range() [4/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

std::pair< const_iterator, const_iterator > std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::equal_range | ( | const key_type & | __x | ) | const

inline

Definition at line 547 of file profile/multimap.h.

## erase() [1/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

size_type std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::erase | ( | const key_type & | __x | ) |

inline

Definition at line 335 of file profile/multimap.h.

## erase() [2/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::erase | ( | const_iterator | __first,
|  | const_iterator | __last
| ) |  |

inline

Definition at line 344 of file profile/multimap.h.

## erase() [3/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::erase | ( | const_iterator | __pos | ) |

inline

Definition at line 313 of file profile/multimap.h.

## erase() [4/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::erase | ( | iterator | __pos | ) |

inline

Definition at line 320 of file profile/multimap.h.

## find() [1/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::find | ( | const _Kt & | __x | ) |

inline

Definition at line 394 of file profile/multimap.h.

## find() [2/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::find | ( | const _Kt & | __x | ) | const

inline

Definition at line 413 of file profile/multimap.h.

## find() [3/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::find | ( | const key_type & | __x | ) |

inline

Definition at line 383 of file profile/multimap.h.

## find() [4/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::find | ( | const key_type & | __x | ) | const

inline

Definition at line 402 of file profile/multimap.h.

## insert() [1/6]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator >

void std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::insert | ( | _InputIterator | __first,
|  | _InputIterator | __last
| ) |  |

inline

Definition at line 305 of file profile/multimap.h.

## insert() [2/6]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::insert | ( | _Pair && | __x | ) |

inline

Definition at line 261 of file profile/multimap.h.

## insert() [3/6]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::insert | ( | const value_type & | __x | ) |

inline

Definition at line 250 of file profile/multimap.h.

## insert() [4/6]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::insert | ( | const_iterator | __pos,
|  | _Pair && | __x
| ) |  |

inline

Definition at line 293 of file profile/multimap.h.

## insert() [5/6]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::insert | ( | const_iterator | __pos,
|  | const value_type & | __x
| ) |  |

inline

Definition at line 276 of file profile/multimap.h.

## insert() [6/6]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

void std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::insert | ( | std::initializer_list< value_type > | __list | ) |

inline

Definition at line 270 of file profile/multimap.h.

## lower_bound() [1/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::lower_bound | ( | const _Kt & | __x | ) |

inline

Definition at line 452 of file profile/multimap.h.

## lower_bound() [2/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::lower_bound | ( | const _Kt & | __x | ) | const

inline

Definition at line 473 of file profile/multimap.h.

## lower_bound() [3/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::lower_bound | ( | const key_type & | __x | ) |

inline

Definition at line 440 of file profile/multimap.h.

## lower_bound() [4/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::lower_bound | ( | const key_type & | __x | ) | const

inline

Definition at line 461 of file profile/multimap.h.

## operator=()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

multimap & std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::operator= | ( | initializer_list< value_type > | __l | ) |

inline

Definition at line 146 of file profile/multimap.h.

## rbegin() [1/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_reverse_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::rbegin | ( |  | ) | const

inline noexcept

Definition at line 190 of file profile/multimap.h.

## rbegin() [2/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

reverse_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::rbegin | ( |  | ) |

inline noexcept

Definition at line 183 of file profile/multimap.h.

## rend() [1/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_reverse_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::rend | ( |  | ) | const

inline noexcept

Definition at line 204 of file profile/multimap.h.

## rend() [2/2]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

reverse_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::rend | ( |  | ) |

inline noexcept

Definition at line 197 of file profile/multimap.h.

## swap()

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

void std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::swap | ( | multimap< _Key, _Tp, _Compare, _Allocator > & | __x | ) |

inline noexcept

Definition at line 366 of file profile/multimap.h.

## upper_bound() [1/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::upper_bound | ( | const _Kt & | __x | ) |

inline

Definition at line 494 of file profile/multimap.h.

## upper_bound() [2/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::upper_bound | ( | const _Kt & | __x | ) | const

inline

Definition at line 515 of file profile/multimap.h.

## upper_bound() [3/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::upper_bound | ( | const key_type & | __x | ) |

inline

Definition at line 482 of file profile/multimap.h.

## upper_bound() [4/4]

template<typename _Key , typename _Tp , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__profile::multimap< _Key, _Tp, _Compare, _Allocator >::upper_bound | ( | const key_type & | __x | ) | const

inline

Definition at line 503 of file profile/multimap.h.

## Member Data Documentation

## _M_map2umap_info

template<typename _Cont >

__gnu_profile::__map2umap_info* std::__profile::_Ordered_profile< _Cont >::_M_map2umap_info

protected inherited

Definition at line 89 of file ordered_base.h.

The documentation for this class was generated from the following file:

- profile/multimap.h